Namespace "http://www.w3.org/2000/09/xmldsig#"
Targeting Schemas (1):

  xmldsig-core-schema.xsd

Targeting Components:

  24 global elements, 22 local elements, 22 complexTypes, 3 simpleTypes

Schema Summary
xmldsig-core-schema.xsd | Target Namespace: http://www.w3.org/2000/09/xmldsig# Version: 0.1 Defined Components: 24 global elements, 22 local elements, 22 complexTypes, 3 simpleTypes Default Namespace-Qualified Form: Local Elements: qualified; Local Attributes: unqualified Schema Location: C:\Irina-Local\SVN-FpML\trunk\xml\transparency\xmldsig-core-schema.xsd; see XML source Imported by Schema: fpml-msg-5-3.xsd

All Element Summary
ds:CanonicalizationMethod |
Type: | ds:CanonicalizationMethodType
Content: | mixed (allows character data), 1 attribute, elem. wildcard
Defined: | globally in xmldsig-core-schema.xsd; see XML source
Used: | at 1 location
ds:DigestMethod |
Type: | ds:DigestMethodType
Content: | mixed (allows character data), 1 attribute, elem. wildcard
Defined: | globally in xmldsig-core-schema.xsd; see XML source
Used: | at 1 location
ds:DigestValue |
Type: | ds:DigestValueType
Content: | simple
Defined: | globally in xmldsig-core-schema.xsd; see XML source
Used: | at 1 location
ds:DSAKeyValue |
Type: | ds:DSAKeyValueType
Content: | complex, 7 elements
Defined: | globally in xmldsig-core-schema.xsd; see XML source
Used: | at 1 location
ds:Exponent |
Type: | ds:CryptoBinary
Content: | simple
Defined: | locally witnin ds:RSAKeyValueType complexType in xmldsig-core-schema.xsd; see XML source
ds:G |
Type: | ds:CryptoBinary
Content: | simple
Defined: | locally witnin ds:DSAKeyValueType complexType in xmldsig-core-schema.xsd; see XML source
ds:HMACOutputLength |
Type: | ds:HMACOutputLengthType
Content: | simple
Defined: | locally witnin ds:SignatureMethodType complexType in xmldsig-core-schema.xsd; see XML source
ds:J |
Type: | ds:CryptoBinary
Content: | simple
Defined: | locally witnin ds:DSAKeyValueType complexType in xmldsig-core-schema.xsd; see XML source
ds:KeyInfo |
Type: | ds:KeyInfoType
Content: | mixed (allows character data), 1 attribute, 7 elements, elem. wildcard
Defined: | globally in xmldsig-core-schema.xsd; see XML source
Used: | at 1 location
ds:KeyName |
Type: | string
Content: | simple
Defined: | globally in xmldsig-core-schema.xsd; see XML source
Used: | at 1 location
ds:KeyValue |
Type: | ds:KeyValueType
Content: | mixed (allows character data), 2 elements, elem. wildcard
Defined: | globally in xmldsig-core-schema.xsd; see XML source
Used: | at 1 location
ds:Manifest |
Type: | ds:ManifestType
Content: | complex, 1 attribute, 1 element
Defined: | globally in xmldsig-core-schema.xsd; see XML source
Used: | never
ds:MgmtData |
Type: | string
Content: | simple
Defined: | globally in xmldsig-core-schema.xsd; see XML source
Used: | at 1 location
ds:Modulus |
Type: | ds:CryptoBinary
Content: | simple
Defined: | locally witnin ds:RSAKeyValueType complexType in xmldsig-core-schema.xsd; see XML source
ds:Object |
Type: | ds:ObjectType
Content: | mixed (allows character data), 3 attributes, elem. wildcard
Defined: | globally in xmldsig-core-schema.xsd; see XML source
Used: | at 1 location
ds:P |
Type: | ds:CryptoBinary
Content: | simple
Defined: | locally witnin ds:DSAKeyValueType complexType in xmldsig-core-schema.xsd; see XML source
ds:PgenCounter |
Type: | ds:CryptoBinary
Content: | simple
Defined: | locally witnin ds:DSAKeyValueType complexType in xmldsig-core-schema.xsd; see XML source
ds:PGPData |
Type: | ds:PGPDataType
Content: | complex, 3 elements, 2 elem. wildcards
Defined: | globally in xmldsig-core-schema.xsd; see XML source
Used: | at 1 location
ds:PGPKeyID |
Type: | base64Binary
Content: | simple
Defined: | locally witnin ds:PGPDataType complexType in xmldsig-core-schema.xsd; see XML source
ds:PGPKeyPacket (in ds:PGPData) |
Type: | base64Binary
Content: | simple
Defined: | locally witnin ds:PGPDataType complexType in xmldsig-core-schema.xsd; see XML source
ds:PGPKeyPacket (in ds:PGPData) |
Type: | base64Binary
Content: | simple
Defined: | locally witnin ds:PGPDataType complexType in xmldsig-core-schema.xsd; see XML source
ds:Q |
Type: | ds:CryptoBinary
Content: | simple
Defined: | locally witnin ds:DSAKeyValueType complexType in xmldsig-core-schema.xsd; see XML source
ds:Reference |
Type: | ds:ReferenceType
Content: | complex, 3 attributes, 3 elements
Defined: | globally in xmldsig-core-schema.xsd; see XML source
Used: | at 2 locations
ds:RetrievalMethod |
Type: | ds:RetrievalMethodType
Content: | complex, 2 attributes, 1 element
Defined: | globally in xmldsig-core-schema.xsd; see XML source
Used: | at 1 location
ds:RSAKeyValue |
Type: | ds:RSAKeyValueType
Content: | complex, 2 elements
Defined: | globally in xmldsig-core-schema.xsd; see XML source
Used: | at 1 location
ds:Seed |
Type: | ds:CryptoBinary
Content: | simple
Defined: | locally witnin ds:DSAKeyValueType complexType in xmldsig-core-schema.xsd; see XML source
ds:Signature |
Type: | ds:SignatureType
Content: | complex, 1 attribute, 4 elements
Defined: | globally in xmldsig-core-schema.xsd; see XML source
Used: | at 1 location
ds:SignatureMethod |
Type: | ds:SignatureMethodType
Content: | mixed (allows character data), 1 attribute, 1 element, elem. wildcard
Defined: | globally in xmldsig-core-schema.xsd; see XML source
Used: | at 1 location
ds:SignatureProperties |
Type: | ds:SignaturePropertiesType
Content: | complex, 1 attribute, 1 element
Defined: | globally in xmldsig-core-schema.xsd; see XML source
Used: | never
ds:SignatureProperty |
Type: | ds:SignaturePropertyType
Content: | mixed (allows character data), 2 attributes, elem. wildcard
Defined: | globally in xmldsig-core-schema.xsd; see XML source
Used: | at 1 location
ds:SignatureValue |
Type: | ds:SignatureValueType
Content: | simple, 1 attribute
Defined: | globally in xmldsig-core-schema.xsd; see XML source
Used: | at 1 location
ds:SignedInfo |
Type: | ds:SignedInfoType
Content: | complex, 1 attribute, 3 elements
Defined: | globally in xmldsig-core-schema.xsd; see XML source
Used: | at 1 location
ds:SPKIData |
Type: | ds:SPKIDataType
Content: | complex, 1 element, elem. wildcard
Defined: | globally in xmldsig-core-schema.xsd; see XML source
Used: | at 1 location
ds:SPKISexp |
Type: | base64Binary
Content: | simple
Defined: | locally witnin ds:SPKIDataType complexType in xmldsig-core-schema.xsd; see XML source
ds:Transform |
Type: | ds:TransformType
Content: | mixed (allows character data), 1 attribute, 1 element, elem. wildcard
Defined: | globally in xmldsig-core-schema.xsd; see XML source
Used: | at 1 location
ds:Transforms |
Type: | ds:TransformsType
Content: | complex, 1 element
Defined: | globally in xmldsig-core-schema.xsd; see XML source
Used: | at 2 locations
ds:X509Certificate |
Type: | base64Binary
Content: | simple
Defined: | locally witnin ds:X509DataType complexType in xmldsig-core-schema.xsd; see XML source
ds:X509CRL |
Type: | base64Binary
Content: | simple
Defined: | locally witnin ds:X509DataType complexType in xmldsig-core-schema.xsd; see XML source
ds:X509Data |
Type: | ds:X509DataType
Content: | complex, 5 elements, elem. wildcard
Defined: | globally in xmldsig-core-schema.xsd; see XML source
Used: | at 1 location
ds:X509IssuerName |
Type: | string
Content: | simple
Defined: | locally witnin ds:X509IssuerSerialType complexType in xmldsig-core-schema.xsd; see XML source
ds:X509IssuerSerial |
Type: | ds:X509IssuerSerialType
Content: | complex, 2 elements
Defined: | locally witnin ds:X509DataType complexType in xmldsig-core-schema.xsd; see XML source
ds:X509SerialNumber |
Type: | integer
Content: | simple
Defined: | locally witnin ds:X509IssuerSerialType complexType in xmldsig-core-schema.xsd; see XML source
ds:X509SKI |
Type: | base64Binary
Content: | simple
Defined: | locally witnin ds:X509DataType complexType in xmldsig-core-schema.xsd; see XML source
ds:X509SubjectName |
Type: | string
Content: | simple
Defined: | locally witnin ds:X509DataType complexType in xmldsig-core-schema.xsd; see XML source
ds:XPath |
Type: | string
Content: | simple
Defined: | locally witnin ds:TransformType complexType in xmldsig-core-schema.xsd; see XML source
ds:Y |
Type: | ds:CryptoBinary
Content: | simple
Defined: | locally witnin ds:DSAKeyValueType complexType in xmldsig-core-schema.xsd; see XML source

Complex Type Summary
ds:CanonicalizationMethodType |
Content: | mixed (allows character data), 1 attribute, elem. wildcard
Defined: | globally in xmldsig-core-schema.xsd; see XML source
Includes: | definitions of 1 attribute, elem. wildcard
Used: | at 1 location
ds:DigestMethodType |
Content: | mixed (allows character data), 1 attribute, elem. wildcard
Defined: | globally in xmldsig-core-schema.xsd; see XML source
Includes: | definitions of 1 attribute, elem. wildcard
Used: | at 1 location
ds:DSAKeyValueType |
Content: | complex, 7 elements
Defined: | globally in xmldsig-core-schema.xsd; see XML source
Includes: | definitions of 7 elements
Used: | at 1 location
ds:KeyInfoType |
Content: | mixed (allows character data), 1 attribute, 7 elements, elem. wildcard
Defined: | globally in xmldsig-core-schema.xsd; see XML source
Includes: | definitions of 1 attribute, 7 elements, elem. wildcard
Used: | at 1 location
ds:KeyValueType |
Content: | mixed (allows character data), 2 elements, elem. wildcard
Defined: | globally in xmldsig-core-schema.xsd; see XML source
Includes: | definitions of 2 elements, elem. wildcard
Used: | at 1 location
ds:ManifestType |
Content: | complex, 1 attribute, 1 element
Defined: | globally in xmldsig-core-schema.xsd; see XML source
Includes: | definitions of 1 attribute, 1 element
Used: | at 1 location
ds:ObjectType |
Content: | mixed (allows character data), 3 attributes, elem. wildcard
Defined: | globally in xmldsig-core-schema.xsd; see XML source
Includes: | definitions of 3 attributes, elem. wildcard
Used: | at 1 location
ds:PGPDataType |
Content: | complex, 3 elements, 2 elem. wildcards
Defined: | globally in xmldsig-core-schema.xsd; see XML source
Includes: | definitions of 3 elements, 2 elem. wildcards
Used: | at 1 location
ds:ReferenceType |
Content: | complex, 3 attributes, 3 elements
Defined: | globally in xmldsig-core-schema.xsd; see XML source
Includes: | definitions of 3 attributes, 3 elements
Used: | at 1 location
ds:RetrievalMethodType |
Content: | complex, 2 attributes, 1 element
Defined: | globally in xmldsig-core-schema.xsd; see XML source
Includes: | definitions of 2 attributes, 1 element
Used: | at 1 location
ds:RSAKeyValueType |
Content: | complex, 2 elements
Defined: | globally in xmldsig-core-schema.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
ds:SignatureMethodType |
Content: | mixed (allows character data), 1 attribute, 1 element, elem. wildcard
Defined: | globally in xmldsig-core-schema.xsd; see XML source
Includes: | definitions of 1 attribute, 1 element, elem. wildcard
Used: | at 1 location
ds:SignaturePropertiesType |
Content: | complex, 1 attribute, 1 element
Defined: | globally in xmldsig-core-schema.xsd; see XML source
Includes: | definitions of 1 attribute, 1 element
Used: | at 1 location
ds:SignaturePropertyType |
Content: | mixed (allows character data), 2 attributes, elem. wildcard
Defined: | globally in xmldsig-core-schema.xsd; see XML source
Includes: | definitions of 2 attributes, elem. wildcard
Used: | at 1 location
ds:SignatureType |
Content: | complex, 1 attribute, 4 elements
Defined: | globally in xmldsig-core-schema.xsd; see XML source
Includes: | definitions of 1 attribute, 4 elements
Used: | at 1 location
ds:SignatureValueType |
Content: | simple, 1 attribute
Defined: | globally in xmldsig-core-schema.xsd; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
ds:SignedInfoType |
Content: | complex, 1 attribute, 3 elements
Defined: | globally in xmldsig-core-schema.xsd; see XML source
Includes: | definitions of 1 attribute, 3 elements
Used: | at 1 location
ds:SPKIDataType |
Content: | complex, 1 element, elem. wildcard
Defined: | globally in xmldsig-core-schema.xsd; see XML source
Includes: | definitions of 1 element, elem. wildcard
Used: | at 1 location
ds:TransformsType |
Content: | complex, 1 element
Defined: | globally in xmldsig-core-schema.xsd; see XML source
Includes: | definition of 1 element
Used: | at 1 location
ds:TransformType |
Content: | mixed (allows character data), 1 attribute, 1 element, elem. wildcard
Defined: | globally in xmldsig-core-schema.xsd; see XML source
Includes: | definitions of 1 attribute, 1 element, elem. wildcard
Used: | at 1 location
ds:X509DataType |
Content: | complex, 5 elements, elem. wildcard
Defined: | globally in xmldsig-core-schema.xsd; see XML source
Includes: | definitions of 5 elements, elem. wildcard
Used: | at 1 location
ds:X509IssuerSerialType |
Content: | complex, 2 elements
Defined: | globally in xmldsig-core-schema.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Simple Type Summary
ds:CryptoBinary |
Defined: | globally in xmldsig-core-schema.xsd; see XML source
Used: | at 9 locations
ds:DigestValueType |
Defined: | globally in xmldsig-core-schema.xsd; see XML source
Used: | at 1 location
ds:HMACOutputLengthType |
Defined: | globally in xmldsig-core-schema.xsd; see XML source
Used: | at 1 location

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.